/*
    This file is part of Toublo.

    Toublo is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Toublo is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Toublo.  If not, see <http://www.gnu.org/licenses/>.
 */


/** Prints a message */
function alert(str) {
        if(str == null) str = "(null)";
	javax.swing.JOptionPane.showMessageDialog(null, str.toString(), "Toubloscript", 1);
}

/** Asks a yes/no question */
function confirm(str) {
        if(str == null) str = "(null)";
	return javax.swing.JOptionPane.showConfirmDialog(null, str.toString(), "Toubloscript", 0 , 1) == 0;
}

/** Repaints the main window */
function repaint() {
	_mainWindow.designer.draw(0,0, _mainWindow.current);
	_mainWindow.updateoutput();
	_mainWindow.repaintbar = true;
	_mainWindow.currentimg.repaint();
}

/** Gets the current surface */
function getCurrent() {
	return _mainWindow.current;
}

/** Gets the controller (if connected, otherwise null) */
function getController() {
	return _mainWindow.currentctl;
}

/** Adds a blank frame to the current clip - the new frame is selected */
function addFrame(bgcolor) {
	var tmp = _mainWindow.mtx_color[3];
	if(bgcolor != null)
		_mainWindow.mtx_color[3] = bgcolor * 1;
	_mainWindow.addFrame(0);
	_mainWindow.mtx_color[3] = tmp;
}

/** Duplicates the current frame - the duplicate is inserted after the current frame and selected */
function duplicateFrame() {
	_mainWindow.addFrame(1);
}

/** Creates a blend of the current frame and the next one
  * the blend is inserted right after the current frame and selected */
function createTransitionFrame() {
	_mainWindow.addFrame(2);
}

/** Gets the current time in Milliseconds */
function time() {
	return java.lang.System.currentTimeMillis();
}

/** Waits for the specified amount of milliseconds */
function sleep(ms) {
    java.lang.Thread.sleep(ms);
}


